OpenapiExt
Get a single client app by ID within a realm
Returns detailed information for the specified client app. # Authentication Requires valid API Key via X-API-Key header # Authorization The caller must have `clients:view` permission in the target realm.
Returns detailed information for the specified client app.
Authentication
Requires valid API Key via X-API-Key header
Authorization
The caller must have clients:view permission in the target realm.
Authorization
api_key X-API-Key<token>
Client-app API key (third-party external API).
In: header
Path Parameters
realmId*string
Realm ID
clientAppId*string
Client App ID
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/api/ext/realms/string/client-apps/string"{ "clientId": "string", "clientSecret": "string", "createdAt": "string", "description": "string", "enabled": true, "id": "string", "name": "string", "redirectUris": [ "string" ]}{ "code": "string", "details": null, "message": "string", "requestId": "string", "status": 0}{ "code": "string", "details": null, "message": "string", "requestId": "string", "status": 0}{ "code": "string", "details": null, "message": "string", "requestId": "string", "status": 0}{ "code": "string", "details": null, "message": "string", "requestId": "string", "status": 0}{ "code": "string", "details": null, "message": "string", "requestId": "string", "status": 0}